# -*- encoding: utf-8 -*-
# stub: easy_time 0.2.1 ruby lib

Gem::Specification.new do |s|
  s.name = "easy_time".freeze
  s.version = "0.2.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "allowed_push_host" => "https://rubygems.org", "homepage_uri" => "https://github.com/aks/easy_time", "source_code_uri" => "https://github.com/aks/easy_time" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Alan Stebbens".freeze]
  s.date = "2020-04-27"
  s.description = "\nA class that wraps the Time class and makes it easy to work with most\nknown time values, including various time strings, automatically\nconverting them to Time values, and perform tolerant comparisons.\nSeveral time classes, and the String class, are extended with the\n\".easy_time\" method to perform an auto-conversion.  A tolerant comparison\nallows for times from differing systems to be compared, even when the\nsystems are out of sync, using the relationship operators and methods\nlike \"newer?\", \"older?\", \"same?\" and \"between?\".  A tolerant comparison\nfor equality is where the difference of two values is less than the\ntolerance value (1 minute by default).  The tolerance can be configured,\neven set to zero.  Finally, all of the Time class and instance methods\nare available on the EasyTime class and instances.\n\n".freeze
  s.email = ["aks@stebbens.org".freeze]
  s.executables = ["console".freeze, "setup".freeze]
  s.files = ["bin/console".freeze, "bin/setup".freeze]
  s.homepage = "https://github.com/aks/easy_time".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Easy auto-conversion of most date and time values with tolerant-comparisons".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1.4"])
    s.add_development_dependency(%q<fuubar>.freeze, [">= 2.5.0"])
    s.add_development_dependency(%q<guard>.freeze, [">= 0"])
    s.add_development_dependency(%q<guard-rspec>.freeze, [">= 0"])
    s.add_development_dependency(%q<guard-yard>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry-byebug>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec_junit>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec_junit_formatter>.freeze, [">= 0"])
    s.add_development_dependency(%q<redcarpet>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop>.freeze, [">= 0.82.0"])
    s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_development_dependency(%q<terminal-notifier-guard>.freeze, [">= 0"])
    s.add_development_dependency(%q<yard>.freeze, [">= 0.9.24"])
    s.add_runtime_dependency(%q<activesupport>.freeze, [">= 0"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1.4"])
    s.add_dependency(%q<fuubar>.freeze, [">= 2.5.0"])
    s.add_dependency(%q<guard>.freeze, [">= 0"])
    s.add_dependency(%q<guard-rspec>.freeze, [">= 0"])
    s.add_dependency(%q<guard-yard>.freeze, [">= 0"])
    s.add_dependency(%q<pry-byebug>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_dependency(%q<rspec_junit>.freeze, [">= 0"])
    s.add_dependency(%q<rspec_junit_formatter>.freeze, [">= 0"])
    s.add_dependency(%q<redcarpet>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop>.freeze, [">= 0.82.0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<terminal-notifier-guard>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, [">= 0.9.24"])
    s.add_dependency(%q<activesupport>.freeze, [">= 0"])
  end
end
